# Uses of Class
org.eclipse.jface.text.templates.TemplateVariable

Packages that use TemplateVariable
Package
Description
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.

## Uses of TemplateVariable in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return TemplateVariable
Modifier and Type
Method
Description
`protected TemplateVariable`
TemplateTranslator.`createVariable(String type, String name, int[] offsets)`
Deprecated.
as of 3.3 use `TemplateTranslator.createVariable(TemplateVariableType, String, int[])` instead
`protected TemplateVariable`
TemplateTranslator.`createVariable(TemplateVariableType type, String name, int[] offsets)`
Hook method to create new variables.
`final TemplateVariable[]`
TemplateBuffer.`getVariables()`
Returns the variable positions of the template buffer.
Methods in org.eclipse.jface.text.templates with parameters of type TemplateVariable
Modifier and Type
Method
Description
`void`
GlobalTemplateVariables.Date.`resolve(TemplateVariable variable, TemplateContext context)`
`void`
GlobalTemplateVariables.Selection.`resolve(TemplateVariable variable, TemplateContext context)`
`void`
TemplateContextType.`resolve(TemplateVariable variable, TemplateContext context)`
Resolves a single variable in a context.
`void`
TemplateVariableResolver.`resolve(TemplateVariable variable, TemplateContext context)`
Resolves `variable` in `context`.
`final void`
TemplateBuffer.`setContent(String string, TemplateVariable[] variables)`
Sets the content of the template buffer.
`protected void`
TemplateContextType.`validateVariables(TemplateVariable[] variables)`
Validates the variables in this context type.
Constructors in org.eclipse.jface.text.templates with parameters of type TemplateVariable
Modifier
Constructor
Description
``
`TemplateBuffer(String string, TemplateVariable[] variables)`
Creates a template buffer.